# $Revision: 1.31 $, $Date: 2004/10/31 12:24:11 $
Summary:	bbkeys, a completely configurable key-combo grabber for blackbox
Summary(pl):	Cakowicie konfigurowalny przechwytywacz klawiszy dla blackboksa
Name:		bbkeys
Version:	0.8.6
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/bbkeys/%{name}-%{version}.tar.gz
# Source0-md5:	6df58a99d136f21682b859b823d31b7d
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-ac_fixes.patch
Patch2:		%{name}-etc_dir.patch
URL:		http://bbkeys.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bbkeys is a configurable key-grabber designed for the blackbox window
manager which is written by Brad Hughes. It is based on the bbtools
object code created by John Kennis and re-uses some of the blackbox
window manager classes as well. bbkeys is easily configurable via
directly hand-editing the user's ~/.bbkeysrc file, or by using the
provided gui configuration tool, bbkeysconf (for lack of a better name
yet).

%description -l pl
bbkeys jest konfigurowalnym programem do przechwytywania klawiszy
zaprojektowanym dla zarzdcy okien blackbox, napisanego przez Brada
Hughesa. Bazuje na kodzie obiektowym bbtools napisanym przez Johna
Kennisa, uywa take niektrych klas blackboksa. bbkeys s atwo
konfigurowalne przez bezporedni edycj pliku uytkownika ~/.bbkeysrc,
albo poprzez graficzny interfejs bbkeysconf (z braku lepszej nazwy).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- bbkeys < 0.8.6-4
if [ -f /etc/default/bbtools/bbkeys.bb.rpmsave ]; then
	mv -f %{_sysconfdir}/bbtools/bbkeys.bb %{_sysconfdir}/bbtools/bbkeys.bb.rpmnew
	mv -f /etc/default/bbtools/bbkeys.bb.rpmsave %{_sysconfdir}/bbtools/bbkeys.bb
fi
if [ -f /etc/default/bbtools/bbkeys.nobb.rpmsave ]; then
	mv -f %{_sysconfdir}/bbtools/bbkeys.nobb %{_sysconfdir}/bbtools/bbkeys.nobb.rpmnew
	mv -f /etc/default/bbtools/bbkeys.nobb.rpmsave %{_sysconfdir}/bbtools/bbkeys.nobb
fi
rmdir /etc/default/bbtools 2>/dev/null || :

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog NEWS TODO
%dir %{_sysconfdir}/bbtools
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bbkeys.spec,v $
Revision 1.31  2004/10/31 12:24:11  qboosh
- moved config files to usable directory (+trigger); release 4

Revision 1.30  2004/08/10 19:05:09  averne
- rel 3

Revision 1.29  2004/08/10 18:56:37  averne
- refresh config.sub

Revision 1.28  2003/11/11 01:33:21  ankry
- caps unification, other cosmetics

Revision 1.27  2003/08/06 16:33:18  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.26  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.25  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 05:45:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/04/08 10:33:12  qboosh
- use http for sources from sourceforge

Revision 1.22  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.21  2003/03/23 17:13:33  juandon
- added home_etc.patch
- Release 2

Revision 1.20  2003/02/06 21:26:15  migo
- random fixes in descriptions

Revision 1.19  2003/02/01 23:49:12  kloczek
- updated to 0.8.6,
- more fixes in sysconfdir patch (added missing fixes in mana pages),
- added ac_fixes patch,
- use /etc/default ad %%{_sysconfdir},
- added %dir %%{_sysconfdir}/bbtools to %files,
- du not use %%{__cc} ac %%{__cxx} (now bbkeys is real C++ program), added
  libstdc++-devel to BuildRequires and added -fno-rtti -fno-exceptions to
  CXXFLAGS for better optimizations.

Revision 1.18  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.17  2002/12/12 01:33:20  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.16  2002/09/22 14:53:08  kloczek
- release 4: use new %doc.

Revision 1.15  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 15:51:45  arturs
fixed a small typo

Revision 1.13  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/23 20:06:03  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 3

Revision 1.10  2002/01/23 10:53:05  filon
- added man to files
- config files are now %%config
- added some docs
- release 2

Revision 1.9  2002/01/23 10:35:10  qboosh
- updated URLs

Revision 1.8  2002/01/23 00:21:05  filon
- updated to 0.8.4
- moved configure+stuff to build, not prep

Revision 1.7  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/07 13:47:17  qboosh
- pl translations

Revision 1.5  2001/09/20 06:14:09  kloczek
- updated to 0.8.3.

Revision 1.4  2001/08/10 12:34:25  kloczek
- updated to 0.8.2.

Revision 1.3  2001/07/15 11:24:12  kloczek
- as same as in bbpager pass CXX="%%{__cc}" to make parameters,
- replace libstdc++-devel by XFree86-devel in BuildRequires rules.

Revision 1.2  2001/07/15 10:27:38  kloczek
- cosmetics,
- corrected Source url,
- added missing BuildRequires rules.

Revision 1.1  2001/07/14 12:45:49  waszi
- initial release
